- Main Page
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Functions

# fbxdatatypes.h File Reference

`#include <fbxsdk/fbxsdk_def.h>`
`#include <fbxsdk/core/base/fbxstring.h>`
`#include <fbxsdk/core/math/fbxvector4.h>`
`#include <fbxsdk/core/fbxpropertytypes.h>`
`#include <fbxsdk/core/fbxpropertyhandle.h>`
`#include <fbxsdk/fbxsdk_nsbegin.h>`
`#include <fbxsdk/fbxsdk_nsend.h>`

Go to the source code of this file.

## Classes
class | FbxDataType
| FBX SDK data type class. More...
## Functions
FBXSDK_DLL const FbxDataType & | FbxGetDataTypeFromEnum (const EFbxType pType)
| Retrieve data type from type enumeration index.
FBXSDK_DLL const char * | FbxGetDataTypeNameForIO (const FbxDataType &pDataType)
| Retrieve data type name string used by I/O operations.
## Variables
Basic Data Types
FBXSDK_DLL FbxDataType | FbxUndefinedDT
FBXSDK_DLL FbxDataType | FbxBoolDT
FBXSDK_DLL FbxDataType | FbxCharDT
FBXSDK_DLL FbxDataType | FbxUCharDT
FBXSDK_DLL FbxDataType | FbxShortDT
FBXSDK_DLL FbxDataType | FbxUShortDT
FBXSDK_DLL FbxDataType | FbxIntDT
FBXSDK_DLL FbxDataType | FbxUIntDT
FBXSDK_DLL FbxDataType | FbxLongLongDT
FBXSDK_DLL FbxDataType | FbxULongLongDT
FBXSDK_DLL FbxDataType | FbxFloatDT
FBXSDK_DLL FbxDataType | FbxHalfFloatDT
FBXSDK_DLL FbxDataType | FbxDoubleDT
FBXSDK_DLL FbxDataType | FbxDouble2DT
FBXSDK_DLL FbxDataType | FbxDouble3DT
FBXSDK_DLL FbxDataType | FbxDouble4DT
FBXSDK_DLL FbxDataType | FbxDouble4x4DT
FBXSDK_DLL FbxDataType | FbxEnumDT
FBXSDK_DLL FbxDataType | FbxStringDT
FBXSDK_DLL FbxDataType | FbxTimeDT
FBXSDK_DLL FbxDataType | FbxReferenceDT
FBXSDK_DLL FbxDataType | FbxBlobDT
FBXSDK_DLL FbxDataType | FbxDistanceDT
FBXSDK_DLL FbxDataType | FbxDateTimeDT
Extended Data Types
FBXSDK_DLL FbxDataType | FbxColor3DT
FBXSDK_DLL FbxDataType | FbxColor4DT
FBXSDK_DLL FbxDataType | FbxCompoundDT
FBXSDK_DLL FbxDataType | FbxReferenceObjectDT
FBXSDK_DLL FbxDataType | FbxReferencePropertyDT
FBXSDK_DLL FbxDataType | FbxVisibilityDT
FBXSDK_DLL FbxDataType | FbxVisibilityInheritanceDT
FBXSDK_DLL FbxDataType | FbxUrlDT
FBXSDK_DLL FbxDataType | FbxXRefUrlDT
Transform Data Types
FBXSDK_DLL FbxDataType | FbxTranslationDT
FBXSDK_DLL FbxDataType | FbxRotationDT
FBXSDK_DLL FbxDataType | FbxScalingDT
FBXSDK_DLL FbxDataType | FbxQuaternionDT
FBXSDK_DLL FbxDataType | FbxLocalTranslationDT
FBXSDK_DLL FbxDataType | FbxLocalRotationDT
FBXSDK_DLL FbxDataType | FbxLocalScalingDT
FBXSDK_DLL FbxDataType | FbxLocalQuaternionDT
FBXSDK_DLL FbxDataType | FbxTransformMatrixDT
FBXSDK_DLL FbxDataType | FbxTranslationMatrixDT
FBXSDK_DLL FbxDataType | FbxRotationMatrixDT
FBXSDK_DLL FbxDataType | FbxScalingMatrixDT
Material Data Types
FBXSDK_DLL FbxDataType | FbxMaterialEmissiveDT
FBXSDK_DLL FbxDataType | FbxMaterialEmissiveFactorDT
FBXSDK_DLL FbxDataType | FbxMaterialAmbientDT
FBXSDK_DLL FbxDataType | FbxMaterialAmbientFactorDT
FBXSDK_DLL FbxDataType | FbxMaterialDiffuseDT
FBXSDK_DLL FbxDataType | FbxMaterialDiffuseFactorDT
FBXSDK_DLL FbxDataType | FbxMaterialBumpDT
FBXSDK_DLL FbxDataType | FbxMaterialNormalMapDT
FBXSDK_DLL FbxDataType | FbxMaterialTransparentColorDT
FBXSDK_DLL FbxDataType | FbxMaterialTransparencyFactorDT
FBXSDK_DLL FbxDataType | FbxMaterialSpecularDT
FBXSDK_DLL FbxDataType | FbxMaterialSpecularFactorDT
FBXSDK_DLL FbxDataType | FbxMaterialShininessDT
FBXSDK_DLL FbxDataType | FbxMaterialReflectionDT
FBXSDK_DLL FbxDataType | FbxMaterialReflectionFactorDT
FBXSDK_DLL FbxDataType | FbxMaterialDisplacementDT
FBXSDK_DLL FbxDataType | FbxMaterialVectorDisplacementDT
FBXSDK_DLL FbxDataType | FbxMaterialCommonFactorDT
FBXSDK_DLL FbxDataType | FbxMaterialCommonTextureDT
Layer Element Data Types
FBXSDK_DLL FbxDataType | FbxLayerElementUndefinedDT
FBXSDK_DLL FbxDataType | FbxLayerElementNormalDT
FBXSDK_DLL FbxDataType | FbxLayerElementBinormalDT
FBXSDK_DLL FbxDataType | FbxLayerElementTangentDT
FBXSDK_DLL FbxDataType | FbxLayerElementMaterialDT
FBXSDK_DLL FbxDataType | FbxLayerElementTextureDT
FBXSDK_DLL FbxDataType | FbxLayerElementPolygonGroupDT
FBXSDK_DLL FbxDataType | FbxLayerElementUVDT
FBXSDK_DLL FbxDataType | FbxLayerElementVertexColorDT
FBXSDK_DLL FbxDataType | FbxLayerElementSmoothingDT
FBXSDK_DLL FbxDataType | FbxLayerElementCreaseDT
FBXSDK_DLL FbxDataType | FbxLayerElementHoleDT
FBXSDK_DLL FbxDataType | FbxLayerElementUserDataDT
FBXSDK_DLL FbxDataType | FbxLayerElementVisibilityDT
I/O Specialized Data Types
FBXSDK_DLL FbxDataType | FbxAliasDT
FBXSDK_DLL FbxDataType | FbxPresetsDT
FBXSDK_DLL FbxDataType | FbxStatisticsDT
FBXSDK_DLL FbxDataType | FbxTextLineDT
FBXSDK_DLL FbxDataType | FbxUnitsDT
FBXSDK_DLL FbxDataType | FbxWarningDT
FBXSDK_DLL FbxDataType | FbxWebDT
External Support Data Types
FBXSDK_DLL FbxDataType | FbxActionDT
FBXSDK_DLL FbxDataType | FbxCameraIndexDT
FBXSDK_DLL FbxDataType | FbxCharPtrDT
FBXSDK_DLL FbxDataType | FbxConeAngleDT
FBXSDK_DLL FbxDataType | FbxEventDT
FBXSDK_DLL FbxDataType | FbxFieldOfViewDT
FBXSDK_DLL FbxDataType | FbxFieldOfViewXDT
FBXSDK_DLL FbxDataType | FbxFieldOfViewYDT
FBXSDK_DLL FbxDataType | FbxFogDT
FBXSDK_DLL FbxDataType | FbxHSBDT
FBXSDK_DLL FbxDataType | FbxIKReachTranslationDT
FBXSDK_DLL FbxDataType | FbxIKReachRotationDT
FBXSDK_DLL FbxDataType | FbxIntensityDT
FBXSDK_DLL FbxDataType | FbxLookAtDT
FBXSDK_DLL FbxDataType | FbxOcclusionDT
FBXSDK_DLL FbxDataType | FbxOpticalCenterXDT
FBXSDK_DLL FbxDataType | FbxOpticalCenterYDT
FBXSDK_DLL FbxDataType | FbxOrientationDT
FBXSDK_DLL FbxDataType | FbxRealDT
FBXSDK_DLL FbxDataType | FbxRollDT
FBXSDK_DLL FbxDataType | FbxScalingUVDT
FBXSDK_DLL FbxDataType | FbxShapeDT
FBXSDK_DLL FbxDataType | FbxStringListDT
FBXSDK_DLL FbxDataType | FbxTextureRotationDT
FBXSDK_DLL FbxDataType | FbxTimeCodeDT
FBXSDK_DLL FbxDataType | FbxTimeWarpDT
FBXSDK_DLL FbxDataType | FbxTranslationUVDT
FBXSDK_DLL FbxDataType | FbxWeightDT

## Detailed Description

Definition in file fbxdatatypes.h.

## Function Documentation

FBXSDK_DLL const FbxDataType& FbxGetDataTypeFromEnum | ( | const EFbxType | pType | ) |

Search for all occurrences

Retrieve data type from type enumeration index.

Parameters:

  pType | The type enumeration index

Returns:
  The corresponding data type

FBXSDK_DLL const char* FbxGetDataTypeNameForIO | ( | const FbxDataType & | pDataType | ) |

Search for all occurrences

Retrieve data type name string used by I/O operations.

Parameters:

  pDataType | The data type instance to retrieve its I/O name string

Returns:
  The data type name string

Remarks:
  This function is only used during I/O operations. It is not equal to the actual data type name.

## Variable Documentation

FBXSDK_DLL FbxDataType FbxUndefinedDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxBoolDT

Search for all occurrences

Examples:
  ExportScene03/main.cxx, ExportScene03/MyKFbxMesh.cxx, ImportScene/DisplayMaterial.cxx, and UserProperties/main.cxx.

FBXSDK_DLL FbxDataType FbxCharDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxUCharDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxShortDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxUShortDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxIntDT

Search for all occurrences

Examples:
  ExportScene03/MyKFbxMesh.cxx, ImportScene/DisplayMaterial.cxx, and UserProperties/main.cxx.

FBXSDK_DLL FbxDataType FbxUIntDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLongLongDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxULongLongDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxFloatDT

Search for all occurrences

Examples:
  ExportScene03/main.cxx, ExportScene03/MyKFbxMesh.cxx, ExportScene05/main.cxx, ExportShader/main.cxx, ImportScene/DisplayMaterial.cxx, and UserProperties/main.cxx.

FBXSDK_DLL FbxDataType FbxHalfFloatDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxDoubleDT

Search for all occurrences

Examples:
  ExportScene03/MyKFbxMesh.cxx, ExportScene05/main.cxx, and ImportScene/DisplayMaterial.cxx.

FBXSDK_DLL FbxDataType FbxDouble2DT

Search for all occurrences

Examples:
  ImportScene/DisplayMaterial.cxx.

FBXSDK_DLL FbxDataType FbxDouble3DT

Search for all occurrences

Examples:
  Animation/main.cxx, ExportScene03/MyKFbxMesh.cxx, ExportShader/main.cxx, and ImportScene/DisplayMaterial.cxx.

FBXSDK_DLL FbxDataType FbxDouble4DT

Search for all occurrences

Examples:
  ExportScene03/MyKFbxMesh.cxx, ImportScene/DisplayMaterial.cxx, and UserProperties/main.cxx.

FBXSDK_DLL FbxDataType FbxDouble4x4DT

Search for all occurrences

Examples:
  ExportScene03/MyKFbxMesh.cxx, and ImportScene/DisplayMaterial.cxx.

FBXSDK_DLL FbxDataType FbxEnumDT

Search for all occurrences

Examples:
  ExportScene03/MyKFbxMesh.cxx, and ImportScene/DisplayMaterial.cxx.

FBXSDK_DLL FbxDataType FbxStringDT

Search for all occurrences

Examples:
  ExportScene03/MyKFbxMesh.cxx, ExportScene05/main.cxx, ImportScene/DisplayMaterial.cxx, and ProceduralTexture/main.cxx.

FBXSDK_DLL FbxDataType FbxTimeDT

Search for all occurrences

Examples:
  ExportScene03/MyKFbxMesh.cxx.

FBXSDK_DLL FbxDataType FbxReferenceDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxBlobDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxDistanceDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxDateTimeDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxColor3DT

Search for all occurrences

Examples:
  ExportScene03/MyKFbxMesh.cxx, ImportScene/DisplayAnimation.cxx, ImportScene/DisplayMaterial.cxx, ImportScene/DisplayUserProperties.cxx, and UserProperties/main.cxx.

FBXSDK_DLL FbxDataType FbxColor4DT

Search for all occurrences

Examples:
  ImportScene/DisplayAnimation.cxx, ImportScene/DisplayMaterial.cxx, and ImportScene/DisplayUserProperties.cxx.

FBXSDK_DLL FbxDataType FbxCompoundDT

Search for all occurrences

Examples:
  ExportShader/main.cxx.

FBXSDK_DLL FbxDataType FbxReferenceObjectDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxReferencePropertyDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxVisibilityDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxVisibilityInheritanceDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxUrlDT

Search for all occurrences

Examples:
  ImportScene/DisplayMaterial.cxx.

FBXSDK_DLL FbxDataType FbxXRefUrlDT

Search for all occurrences

Examples:
  ImportScene/DisplayMaterial.cxx.

FBXSDK_DLL FbxDataType FbxTranslationDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxRotationDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxScalingDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxQuaternionDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLocalTranslationDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLocalRotationDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLocalScalingDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLocalQuaternionDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxTransformMatrixDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxTranslationMatrixDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxRotationMatrixDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxScalingMatrixDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialEmissiveDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialEmissiveFactorDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialAmbientDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialAmbientFactorDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialDiffuseDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialDiffuseFactorDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialBumpDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialNormalMapDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialTransparentColorDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialTransparencyFactorDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialSpecularDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialSpecularFactorDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialShininessDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialReflectionDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialReflectionFactorDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialDisplacementDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialVectorDisplacementDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialCommonFactorDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxMaterialCommonTextureDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLayerElementUndefinedDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLayerElementNormalDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLayerElementBinormalDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLayerElementTangentDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLayerElementMaterialDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLayerElementTextureDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLayerElementPolygonGroupDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLayerElementUVDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLayerElementVertexColorDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLayerElementSmoothingDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLayerElementCreaseDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLayerElementHoleDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLayerElementUserDataDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLayerElementVisibilityDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxAliasDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxPresetsDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxStatisticsDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxTextLineDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxUnitsDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxWarningDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxWebDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxActionDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxCameraIndexDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxCharPtrDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxConeAngleDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxEventDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxFieldOfViewDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxFieldOfViewXDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxFieldOfViewYDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxFogDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxHSBDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxIKReachTranslationDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxIKReachRotationDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxIntensityDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxLookAtDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxOcclusionDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxOpticalCenterXDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxOpticalCenterYDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxOrientationDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxRealDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxRollDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxScalingUVDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxShapeDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxStringListDT

Search for all occurrences

Examples:
  UserProperties/main.cxx.

FBXSDK_DLL FbxDataType FbxTextureRotationDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxTimeCodeDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxTimeWarpDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxTranslationUVDT

Search for all occurrences

FBXSDK_DLL FbxDataType FbxWeightDT

Search for all occurrences